package cn.reghao.tnb.account.app.service;

import cn.reghao.jutil.jdk.result.Result;
import cn.reghao.tnb.account.api.dto.AdminCreateAccount;
import cn.reghao.tnb.account.app.model.dto.AccountDetail;
import cn.reghao.tnb.account.app.model.dto.UserRegisterDto;

/**
 * @author reghao
 * @date 2022-04-13 10:07:28
 */
public interface AccountRegistryService {
    Result createAccount(UserRegisterDto userRegisterDto);
    AccountDetail createAccount(String principal, String password);
    void createAccount(AdminCreateAccount adminCreateAccount);
    Result getRegistryStatus();
}
